.quick-connect-module-wrapper {
  padding-top: 48px;
  padding-bottom: 45px;
}

.quick-connect-module-container {
  background: var(--gradients-accent-section-bg-1);
  padding: 1rem 1.5rem;
  display: flex;
  flex-flow: column;
  gap: 16px;
  position: relative;
}

.quick-connect-module-header-section {
  h3 {
    margin: 0 0 6px;
    font-size: 24px;
    line-height: 28px;
    font-weight: var(--fw-700);
    font-family: var(--body-heading-font-family);
    color: var(--secondary-black);
  }
  p {
    font-size: 14px;
    font-weight: var(--fw-300);
    line-height: 20px;
    margin: 0;
  }
}

.quick-connect-module-bottom-section {
  ul {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin: 0;
  }

  h4 {
    font-size: 14px;
    line-height: 17px;
    margin: 0 0 8px;
    font-weight: var(--fw-600);
  }

  p {
    font-size: 0.875rem;
    line-height: 20px;
    font-weight: var(--fw-400);
    margin: 0;
    display: flex;
    align-items: center;
    span {
      display: inline-flex;
      align-items: center;

      a {
        color: inherit;
      }
    }
  }

  img {
    vertical-align: middle;
    width: 20px;
    height: 20px;
    margin-right: 4px;
  }

  .copy-icon {
    background: url('../../icons/copy-icon.svg') left top no-repeat;
    width: 16px;
    height: 16px;
    display: inline-block;
    margin-left: 4px;
    cursor: pointer;
  }

  .success-message-email {
    display: none;
    background: rgba(23, 28, 143, 0.2);
    padding: 0.5rem 0.75rem;
    color: var(--primary-blue-700);
    font-family: var(--body-font-arena);
    font-size: 0.75rem;
    font-weight: var(--fw-300);
    line-height: 1rem;
    white-space: nowrap;
    text-align: center;
    margin-left: 4px;
  }
  .separator::after {
    content: '';
    width: 1px;
    height: 12px;
    margin: 0 8px;
    background: linear-gradient(90deg, rgba(0, 0, 0, 0) 0%, #000 51.5%, rgba(0, 0, 0, 0) 100%);
    left: initial;
    right: 0;
  }
}

@media (width >=768px) {
  .quick-connect-module-wrapper {
    padding-bottom: 24px;
  }

  .quick-connect-module-header-section {
    h3 {
      margin: 0 0 8px;
      line-height: 26px;
    }
  }

  .quick-connect-module-bottom-section {
    h4 {
      line-height: 18px;
      font-weight: var(--fw-700);
    }

    ul {
      flex-direction: row;
      flex-wrap: wrap;
      column-gap: 17px;

      li:nth-child(1),
      li:nth-child(3) {
        width: 50%;
      }
    }
  }
}

@media (width >=1024px) {
  .quick-connect-module-wrapper {
    padding-top: 46px;
    padding-bottom: 19px;
  }
  .quick-connect-module-container {
    padding: 24px 0 24px 23px;
    gap: 24px;
  }

  .quick-connect-module-header-section {
    h3 {
      font-size: 32px;
      margin-bottom: 16px;
      line-height: 35px;
    }
  }

  .quick-connect-module-bottom-section {
    ul {
      flex-direction: row;
      gap: 46px;

      li:nth-child(1),
      li:nth-child(3) {
        width: auto;
      }

      li:nth-child(2) {
        order: 2;
      }
    }

    h4 {
      font-size: 16px;
      margin-bottom: 16px;
    }
    p {
      font-size: 1rem;
      margin: 0;
    }
  }
}

@media (width >=1366px) {
  .quick-connect-module-wrapper {
    padding-bottom: 35px;
    padding-top: 50px;
  }

  .quick-connect-module-container {
    display: flex;
    justify-content: space-between;
    padding-left: 24px;
  }

  .quick-connect-module-bottom-section {
    ul {
      gap: 80px;

      .copy-icon {
        margin-top: 0.2rem;
      }
    }
  }
}
